Skip to main content
PATCH
/
api
/
v1
/
templates
/
{template_id}
Update Template
curl --request PATCH \
  --url https://api.example.com/api/v1/templates/{template_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "content": {
    "subject": "<string>",
    "body": "<string>"
  }
}
'
{
  "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "content": {
    "subject": "<string>",
    "body": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://bavlio.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

template_id
string<uuid>
required

Body

application/json

Request model for updating an email template.

name
string | null

Template name

Required string length: 1 - 255
content
TemplateContent · object

Email content

Response

Successful Response

Response model for email template.

template_id
string<uuid>
required

Unique template identifier

user_id
string<uuid>
required

Owner user ID

name
string
required

Template name

content
TemplateContent · object
required

Email content

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp